MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024804Open CASCADE[OCCT] OCCT:Codingpublic2014-04-07 16:262014-11-11 12:51
Reporterkgv 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024804: OSD_PerfMeter documentation is broken
DescriptionComments follows the functions declarations, not precedes.
This leads to documentation mess up.
Steps To Reproduce
  void Tick     () const { perf_tick_imeter(myIMeter); }
  // increments the counter w/o time measurement

  void Flush    () const { perf_close_imeter(myIMeter); }
  // outputs the meter data and resets it to initial state
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0028717)
kgv (developer)
2014-04-07 16:31

Patch is ready for review in branch CR24804.
(0028718)
abv (manager)
2014-04-07 17:34

No remarks, please integrate

- Related Changesets
occt: master 91720fc5
Timestamp: 2014-04-07 12:29:04
Author: kgv
Committer: apn
Details ] Diff ]
0024804: OSD_PerfMeter documentation is broken
mod - src/OSD/OSD_PerfMeter.h Diff ] File ]
mod - src/OSD/OSD_PerfMeter.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-04-07 16:26 kgv New Issue
2014-04-07 16:26 kgv Assigned To => kgv
2014-04-07 16:31 kgv Note Added: 0028717
2014-04-07 16:31 kgv Assigned To kgv => abv
2014-04-07 16:31 kgv Status new => resolved
2014-04-07 17:34 abv Note Added: 0028718
2014-04-07 17:34 abv Assigned To abv => bugmaster
2014-04-07 17:34 abv Status resolved => reviewed
2014-04-08 15:59 apn Test case number => Not needed
2014-04-08 15:59 apn Status reviewed => tested
2014-04-09 11:09 abv Target Version 6.7.1 => 6.8.0
2014-04-11 14:43 apn Changeset attached => occt master 91720fc5
2014-04-11 14:43 apn Assigned To bugmaster => apn
2014-04-11 14:43 apn Status tested => verified
2014-04-11 14:43 apn Resolution open => fixed
2014-11-11 12:47 aiv Fixed in Version => 6.8.0
2014-11-11 12:51 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker